package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @ClassName: TaskListPageReq
 * @Description: 离线任务列表参数对象
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "离线同步--任务列表请求参数对象", description = "任务列表请求参数对象")
public class TaskListPageReq extends BasePageBean {
    /*
    * 项目ID
    * */
    @NotNull(message = "项目ID不能空")
    @ApiModelProperty(value = "项目ID")
    private String projectId;

    /*
     * 父类ID
     * */
    //@NotNull(message = "父类ID不能空")
    @ApiModelProperty(value = "父类ID")
    private String parentId;

    /*
     * 源数据id
     * */
    @ApiModelProperty(value = "源数据id")
    private String sourceDb;

    /*
     * 目标数据库id
     * */
    @ApiModelProperty(value = "目标数据库id")
    private String targetDb;

    /*
     * 源数据库表
     * */
    @ApiModelProperty(value = "源数据库表")
    private String sourceTable;

    /*
     * 目标数据库表
     * */
    @ApiModelProperty(value = "目标数据库表")
    private String targetTable;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getSourceDb() {
        return sourceDb;
    }

    public void setSourceDb(String sourceDb) {
        this.sourceDb = sourceDb;
    }

    public String getTargetDb() {
        return targetDb;
    }

    public void setTargetDb(String targetDb) {
        this.targetDb = targetDb;
    }

    public String getSourceTable() {
        return sourceTable;
    }

    public void setSourceTable(String sourceTable) {
        this.sourceTable = sourceTable;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public void setTargetTable(String targetTable) {
        this.targetTable = targetTable;
    }
}
